Evolution is missing bogofilter integration

Bug #1247366 reported by Mauricio Farell Perezgrovas on 2013-11-02
124
This bug affects 25 people
Affects Status Importance Assigned to Milestone
Evolution
Fix Released
High
evolution (Ubuntu)
Medium
Unassigned

Bug Description

Evolution is missing bogofilter integration since Ubuntu 13.10.

ProblemType: Bug
DistroRelease: Ubuntu 13.10
Package: evolution 3.8.4-0ubuntu1
ProcVersionSignature: Ubuntu 3.11.0-12.19-generic 3.11.3
Uname: Linux 3.11.0-12-generic x86_64
ApportVersion: 2.12.5-0ubuntu2.1
Architecture: amd64
Date: Sat Nov 2 05:15:42 2013
ExecutablePath: /usr/bin/evolution
InstallationDate: Installed on 2013-10-27 (6 days ago)
InstallationMedia: Ubuntu 13.10 "Saucy Salamander" - Release amd64 (20131016.1)
MarkForUpload: True
SourcePackage: evolution
UpgradeStatus: No upgrade log present (probably fresh install)

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in evolution (Ubuntu):
status: New → Confirmed
jim warner (warnerjc) wrote :

Thank you Mauricio.
I'm now the '1 other person' affected.
( but I bet there's lots more )

jim warner (warnerjc) wrote :

Mauricio,

If you still want bogofilter I stumbled on the followinf link:
http://linuxg.net/how-to-install-evolution-3-11-1-on-ubuntu-13-10-saucy-salamander-and-linux-mint-16-petra-via-ppa/

Then under Edit->Preferences->Mail Preferences->Junk you should find a drop-down for 'junk filtering software'.

Good luck...

p.s. I suggest you first 'apt-get purge evolution spamassassin' to avoid dependency issues.

Kim d'Audretsch (kimda) wrote :

In 14.04 it's also missing. I really like bogofilter a lot better than spamassassin, which is really slow compared to bogofilter.

tags: added: bogofilter evolution trusty
Paul Smith (psmith-gnu) wrote :

Please add this support! I see no point in omitting it; it's just a configure flag (and having bogofilter installed at build time). Bogofilter is much nicer than SA IMO.

DigiAngel (jlay) wrote :

Missing here as well.

Alejandro Arcos (aarcos) wrote :

I have the same problem. When remove spamassassin:

Error while performing operation.

Failed to spawn SpamAssassin (/usr/bin/sa-learn --spam --no-sync --local): Failed to execute child process "/usr/bin/sa-learn" (No such file or directory)

Alejandro Arcos (arcosaf) wrote :

I did not write that use Ubuntu 14.04 and evolution 3.10.4
I remove bogofilter :-(
But spamassasin not work perfectly :-(
I that I can help?

Mike Strickland (livinwell) wrote :

Bogofilter is missing in Ubuntu 14.04, Evolution 3.10.4 - it is installed, but Evolution can't use it. Please re-enable it so that my filter will start working again. SpamAssassin is not doing nearly as good a job as bogofilter - learning has proven very slow in comparison. Isn't linux all about choice?? Please give me a choice here...

Tim Wescott (ww3ib0-tim) wrote :

Ditto on the problem. I innocently upgraded to 14.04 expecting it to be better, only to find that someone decided that I shouldn't want to use Bogofilter.

It seams support for bogofilter was disabled because bogofilter package was moved to Universe:

http://changelogs.ubuntu.com/changelogs/pool/main/e/evolution/evolution_3.12.4-0ubuntu1/changelog

I have subscribed Iain Lane (https://launchpad.net/~laney) to the bug since apparently he is the one who can shed some light on this bug... hopefuly

Package lacks /usr/lib/evolution/3.12/modules/module-bogofilter.so

description: updated
tags: added: libevolution spam utopic
removed: amd64

The problem is that Ubuntu disables bogofilter in Evolution at build time passing --disable-bogofilter. This makes libevolution not to include module-bogofilter.so which goes in /usr/lib/evolution/3.12/modules/ directory.

A workaround is to download libevolution package directly from Debian. For Ubuntu 14.10:

https://packages.debian.org/sid/libevolution

I'm a happy bogofilter user once again!!!

Changed in evolution (Ubuntu):
importance: Undecided → Medium
menner (menner) wrote :

Evolution has become very very unresponsive since upgrade from 12.04 to 14.04. (I have an old Atom netbook.) And many good mails are classified as spam now (that didn't happen before). And many spam mails are classified as good. I'm trying to correct this, but the manual classification seems not to improve the situation.

After googling today, the reason seems to be that bogofilter is inactive and spamassasin is active. I can confirm this having a look at .spamassasin and .bogofilter files age. This is a bad situation, and complicates everyday work.

JT Traub (jtraub-3) wrote :

I too would like to have bogofilter returned as a filter option. I have been using it for years and it is, at this point, well trained for me.

Having to retrain spam-assassin is a pain. Spam-Assassin is also is a much slower.

Please, please, please re-add Bogofilter to the package so I stop having to build my own version every time I do an update of packages on my Linux Mint (Ubuntu based) system.

Paul Smith (psmith-gnu) wrote :

I believe this can be fixed with a simple patch to the rules file in the Evolution Ubuntu package: if we set the BOGOFILTER environment variable before we run configure then whatever value it has will be used during the build without checking, and at runtime if the program exists the plugin will be enabled (and if not it won't be).

The attachment "Enable bogofilter plugin for Evolution" seems to be a patch. If it isn't, please remove the "patch" flag from the attachment, remove the "patch" tag, and if you are a member of the ~ubuntu-reviewers, unsubscribe the team.

[This is an automated message performed by a Launchpad user owned by ~brian-murray, for any issues please contact him.]

tags: added: patch
Paul Smith (psmith-gnu) wrote :

Hm. It seems that newer versions of Evolution have completely removed support for runtime detection of the underlying spam filtering facility in the plugin, so my simple patch in comment #18 is not sufficient and more work is needed.

See https://bugzilla.gnome.org/show_bug.cgi?id=743109 for more information.

Changed in evolution:
importance: Unknown → High
status: Unknown → New
Changed in evolution:
status: New → Confirmed
Paul Smith (psmith-gnu) wrote :

Milan Crha has posted a fix for the next release of Evolution, which may or may not be straightforward to cherry-pick back to the current release.

See: https://bugzilla.gnome.org/show_bug.cgi?id=743109

and: https://git.gnome.org/browse/evolution/commit/?id=0b91d60

Changed in evolution:
status: Confirmed → Fix Released
Marsh (marsh) wrote :

Is there any hope that the bogofilter fix will be backported to 14.04?

Paul Smith (psmith-gnu) wrote :

Well, first it has to get fixed in Ubuntu, in any version: currently there's no fix even in the upcoming 15.04.

Once that happens we can talk about whether it's possible to backport it.

tags: removed: patch
Paul Smith (psmith-gnu) wrote :

Just for completeness I'm adding the patch used to fix this issue upstream.

Marsh (marsh) wrote :

>Well, first it has to get fixed in Ubuntu, in any version: currently there's no fix even in the upcoming 15.04.

>Once that happens we can talk about whether it's possible to backport it.

Is it possible to get this on Ubuntu's radar?

Paul Smith (psmith-gnu) wrote :

If you know of another way, than filing a bug like this one, I urge you to pursue it...

tags: added: patch

On Sun, 2015-03-01 at 21:14 +0000, Paul Smith wrote:
> If you know of another way, than filing a bug like this one, I urge you
> to pursue it...
>
> ** Tags added: patch
>

That begs the question.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package evolution - 3.12.11-0ubuntu3

---------------
evolution (3.12.11-0ubuntu3) vivid; urgency=medium

  * 0001-Bug-743109-Do-not-require-spam-software-during-build.patch:
    Cherry-pick from upstream. No need to require anti-spam software to be
    present at build time. (LP: #1247366)
    + Enable both spamassassin and bogofilter now.
 -- Iain Lane <email address hidden> Tue, 17 Mar 2015 11:50:22 +0000

Changed in evolution (Ubuntu):
status: Confirmed → Fix Released
Paul Smith (psmith-gnu) wrote :

Thank you Iain! Is there any possibility this can get backported to 14.04? As an LTS release, it would be REALLY nice to have this fix there too... I think this patch applies cleanly to 3.11 as well as 3.12.

Tim Wescott (ww3ib0-tim) wrote :

I second Paul's request to backport this to 14.04. I'd hate to have to either wait for 16.04 or take my chances with building or installing the latest Evolution.

Mike Strickland (livinwell) wrote :

I would like to see a backport to 14.04 as I'd prefer not to have to wait for the next LTS.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Related questions

Remote bug watches

Bug watches keep track of this bug in other bug trackers.